Premium Index
Mark price, index price and current funding rate. Passthrough of Binance USDⓈ-M Futures /fapi/v1/premiumIndex.
Endpoint
GET /fapi/v1/premiumIndex
Authentication: Public.
Query parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
symbol | string | No | — | If omitted, an array for all symbols is returned. |
Response — 200 OK
With symbol:
{
"symbol": "BTCUSDT",
"markPrice": "67890.12",
"indexPrice": "67885.00",
"estimatedSettlePrice": "67880.00",
"lastFundingRate": "0.00010000",
"interestRate": "0.00010000",
"nextFundingTime": 1745928000000,
"time": 1745920800000
}
Without symbol: an array of objects with the same shape.
Errors
| HTTP | Cause |
|---|---|
502 | Upstream Binance request failed. |
Example
curl -s "https://api.pipai.org/fapi/v1/premiumIndex?symbol=BTCUSDT"